/***********************
* Acciones de composición de Adobe Edge Animate
*
* Editar este archivo con precaución, teniendo cuidado de conservar 
* las firmas de función y los comentarios que comienzan con "Edge" para mantener la 
* capacidad de interactuar con estas acciones en Adobe Edge Animate
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // los alias más comunes para las clases de Edge

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      

      

      

      

      

      

      Symbol.bindSymbolAction(compId, symbolName, "creationComplete", function(sym, e) {
         sym.$('.center-wrapper').css("overflow","hidden");
         
         //Variables de colores
         sym.setVariable("fondo", "rgba(200,200,200,0.0)");
         sym.setVariable("colorbad", "rgba(50,230,60,0.4)");
         sym.setVariable("fondobad", "rgba(231,50,60,0.4)");
         sym.setVariable("fondook", "rgba(50,230,60,0.4)");
         sym.setVariable("fondoini", "rgba(244,244,244,0)");
         
         //Cambiar por la cantidad de elementos arrastrables
         TotalDragElements = 20;
         
         //Cambiar por la cantidad de elementos droppables o de destino
         TotalDropElements = 20;
         
         
         // Funcion para verificar las respuestas de cada drop
         function verificarRespuestas(RespuestaDrop,idActiveDrag){
         	var respDrop=0;
         
         	var idResp = idActiveDrag.slice(11);	
         	var vectorResp = sym.getVariable(RespuestaDrop);	
         	var respTemp = vectorResp.indexOf(parseInt(idResp));
         	if(respTemp != -1){
         		respDrop = 1;
         	}
         	else{
         		respDrop = 0;		
         	}	
         	return respDrop;	
         }
         
         for(var i=1; i<=TotalDragElements; i++){
         	sym.setVariable("left"+i, sym.$("Drag_"+i).css("left"));
         	sym.setVariable("top"+i, sym.$("Drag_"+i).css("top"));
         }
         
         for(var i=1; i<=50; i++){
            sym.setVariable("DropVar"+i, 0); 
         }
         
         function matrixToArray(matrix) {
             var scaleVars = matrix.substr(7, matrix.length - 8).split(', ');
             return scaleVars[0];
         }
         
         function calcularDimensiones(){
         	anchoDrag = parseInt($(this).width()/2);
         	altoDrag = parseInt($(this).height()/2);
         	console.log(anchoDrag);	
         	$(this).draggable({
         		cursorAt:{top: altoDrag, left: anchoDrag}
         	});
         }
         
         //Centrar el cursos en el elemento-cambiar por la mitad del ancho y alto
         //sym.$('[id^="Stage_Drag_"]').draggable({ cursorAt: { top: 20, left: 20 } });
         
         sym.$('[id^="Stage_Drag_"]').draggable({
         	//axis: ["x","y"], 
         	appendTo: "body",
         	containment: '#Stage', 
         	opacity: 0.4,
         	iframeFix: true,
         	zIndex: 100,
         	cursor:'move',		
         	refreshPositions: true,
         	//snap:true,
         	//snapMode: "both",
         	//snapTolerance:20,
         	scroll:false,
         	//helper: "clone",
         	revert: "invalid",
         	revertDuration: 500,
         
         	helper: function() {
         		var escalaTemp = $('#Stage').css('transform');
         		var escala = matrixToArray(escalaTemp);
               var helper = $(this).clone(); 
               helper.css({
             	"transform":"scale("+escala+")",
             	"-o-transform":"scale("+escala+")",
             	"-ms-transform":"scale("+escala+")",
             	"-webkit-transform":"scale("+escala+")",
             	"-moz-transform":"scale("+escala+")",
             	"-o-transform":"scale("+escala+")",
             	"-moz-transform-origin":"left top",
         		"-webkit-transform-origin":"left top",
         		"-o-transform-origin":"left top",
         		"-ms-transform-origin":"left top",
             	});        
               return helper;
            }
         });
         
         AContador = 0;
         BContador = 0;
         CContador = 0;
         DContador = 0;
         EContador = 0;
         FContador = 0;
         GContador = 0;
         contadorTotal = 0;
         
         	sym.$('[id^="Stage_Drop_"]').droppable({
         		drop: function( event, ui ){
         			var DropIdtemp=$(this).prop("id");	
         			var DropId = DropIdtemp.slice(11);	
         			var DragId = ui.draggable.attr('id');
         			if(DropId == 1){
         				AContador++;		
         				$("#"+DragId).fadeOut();
         				$("#Stage_a_"+AContador).fadeIn();
         				if(AContador == 5){
         					contadorTotal++;
         					$("#Stage_Drop_1").hide();
         					$("#Stage_contadorPaquetes").html(contadorTotal);
         				}
         			}
         			if(DropId == 2){
         				BContador++;		
         				$("#"+DragId).fadeOut();
         				$("#Stage_b_"+BContador).fadeIn();
         				if(BContador == 5){
         					contadorTotal++;
         					$("#Stage_Drop_2").hide();
         					$("#Stage_contadorPaquetes").html(contadorTotal);
         				}
         			}
         			if(DropId == 3){
         				CContador++;		
         				$("#"+DragId).fadeOut();
         				$("#Stage_c_"+CContador).fadeIn();
         				if(CContador == 5){
         					contadorTotal++;
         					$("#Stage_Drop_3").hide();
         					$("#Stage_contadorPaquetes").html(contadorTotal);					
         				}
         			}
         			if(DropId == 4){
         				DContador++;		
         				$("#"+DragId).fadeOut();
         				$("#Stage_d_"+DContador).fadeIn();
         				if(DContador == 5){
         					contadorTotal++;
         					$("#Stage_Drop_4").hide();
         					$("#Stage_contadorPaquetes").html(contadorTotal);
         				}
         			}
         			if(DropId == 5){
         				EContador++;		
         				$("#"+DragId).fadeOut();
         				$("#Stage_e_"+EContador).fadeIn();
         				if(EContador == 5){
         					contadorTotal++;
         					$("#Stage_Drop_5").hide();
         					$("#Stage_contadorPaquetes").html(contadorTotal);
         				}
         			}
         			if(DropId == 6){
         				FContador++;		
         				$("#"+DragId).fadeOut();
         				$("#Stage_f_"+FContador).fadeIn();
         				if(FContador == 5){
         					contadorTotal++;
         					$("#Stage_Drop_6").hide();
         					$("#Stage_contadorPaquetes").html(contadorTotal);
         				}
         			}
         			if(DropId == 7){
         				GContador++;		
         				$("#"+DragId).fadeOut();
         				$("#Stage_g_"+GContador).fadeIn();
         				if(GContador == 5){
         					contadorTotal++;
         					$("#Stage_Drop_7").hide();
         					$("#Stage_contadorPaquetes").html(contadorTotal);
         				}
         			}
               	//coordenadas("Drop_"+DropId, ui.draggable.attr('id').slice(6));	
            	}
            });
         
         
             function coordenadas (Drop, simbolo) {
                varxdrop = sym.$(Drop).css("left");
                varydrop = sym.$(Drop).css("top");
                varxdropanch = sym.$(Drop).css("width");
                varydropalto = sym.$(Drop).css("height");
                varxdropcentro = parseInt(varxdrop) + parseInt(varxdropanch)/2;
                varydropcentro = parseInt(varydrop) + parseInt(varydropalto)/2;
                varxdraganch = sym.$(simbolo).css("width");
                varydragalto = sym.$(simbolo).css("height");
                varxdragcentro = parseInt(varxdraganch)/2;
                varydragcentro = parseInt(varydragalto)/2;
                sym.$(simbolo).css({top: varydropcentro-varydragcentro});
                sym.$(simbolo).css({left: varxdropcentro-varxdragcentro});
                };
         
         
         
         

      });
      //Edge binding end

      

      

      

      

      

      

      

      

      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         //botones
         sym.getSymbol("bt_validar").stop("normal");
         sym.getSymbol("bt_solucion").stop("down");
         sym.getSymbol("bt_reiniciar").stop("down");
         sym.getSymbol("bt_ayuda").stop("normal");
         sym.$("hotspot_validar").show();
         sym.$("hotspot_solucion").hide();
         sym.$("hotspot_reiniciar").hide();
         sym.$("hotspot_ayuda").show();
         
         //	Copiar la siguiente función para las correcciones del material anterior
         //	Esta función permite que los elementos no se solapen
         
         /*
         // Se establece el atributo vacio para todos los elementos droppables
         sym.$('[id^="Stage_Drop_"]').attr("dragelement","vacio");
         
         		 $(".ui-droppable").on( "drop", function( event, ui ) {
         		 	// Verifico el estado del drop (ocupado o vacio)
         					var estadoDrop = $(this).attr("dragelement");
         
         					// 
         					if(estadoDrop != "vacio"){										
         						var numDrag = estadoDrop.slice(11);	
         						var posLeftDrag = sym.getVariable("left"+numDrag);
         						var posTopDrag = sym.getVariable("top"+numDrag);
         						sym.$("#"+estadoDrop).animate({top: posTopDrag, left: posLeftDrag});
         						var idDraggable = ui.draggable.attr('id');
         						$(this).attr("dragelement",idDraggable);
         					} else{
         						var idDraggable = ui.draggable.attr('id');
         						$(this).attr("dragelement",idDraggable);
         					}
         
         		 } );
         
         		 $(".ui-droppable").droppable({	
         				out: function( event, ui ){ 
         					var estadoDrop = $(this).attr("dragelement");
         					var idDraggable = ui.draggable.attr('id');
         					if(estadoDrop == idDraggable ){	
         						$(this).attr("dragelement","vacio");					
         					}
         					else{						
         					}
         				}
         		 });
         */
         
          			transformarTexto = true; // Cambiar a false, si la actividad es de lenguaje o requiere validación exacta de las palabras   
         		  	eliminarEspacios = false; // Cambiar a true, si la actividad es de matemáticas o requiere omitir los espacios en blanco de la validación
         		  	//Total de inputs       
                 	TotalInput = 3;
         
         		 	sym.setVariable("border", "2px double #cccccc");		// Modifica el borde del input
         			sym.setVariable("fondo", "rgba(255,255,255,0.5)");		// Modifica el color de fondo del input
         			sym.setVariable("colorini", "#666666");					// Editar el color de la letra 
         			sym.setVariable("colorok", "#000000");
         			sym.setVariable("fondook","rgba(169,194,88,0.80)");
         			sym.setVariable("colorbad", "#ffffff");
         			sym.setVariable("fondobad", "#f3716c");
         			sym.setVariable("fontsize", "26px");						// Editar el tamaño de fuente
         			sym.setVariable("fontFamily", "Cabin");					//	Editar el tipo de fuente
         			sym.setVariable("fontStyle", "normal");				
         			sym.setVariable("fontweight", "bold");
         			sym.setVariable("height", "auto");
         			sym.setVariable("border-radius", "5px");
         			sym.setVariable("alineacionTexto", "center");			// Editar la alineación del texto en el input
         
         			//RESPUESTAS -- CAMBIAR VALORES
                 sym.setVariable("Respuesta_1", "5");
                 sym.setVariable("Respuesta_2", "20");
                 sym.setVariable("Respuesta_3", "4");
         
         		 					var tipoactividad = "input";
         							var color = sym.getVariable("colorini");
         							var colorok = sym.getVariable("colorok");
         							var colorbad = sym.getVariable("colorbad");
         							var border = sym.getVariable("border");
         							var tamano = sym.getVariable("fontsize");
         							var fontweight = sym.getVariable("fontweight");
         							var fondo = sym.getVariable("fondo");
         							var borderRadius= sym.getVariable("border-radius");
         							var fondook = sym.getVariable("fondook");
         							var fondobad = sym.getVariable("fondobad");
         							var fuente = sym.getVariable("fontFamily");
         							var alineacion = sym.getVariable("alineacionTexto");
         
                                     for (i=1 ; i<= TotalInput; i++){
         										sym.$("Input_"+i).css("background","rgba(255,255,255,0)");
         					            	var nombreElemento = 'Elemento_'+i;
         	            	            nombreElemento = document.createElement(tipoactividad);
         		            				nombreElemento.id="seleccion_"+i;
         		                        var anchoInput = sym.$("Input_"+i).css("width");
         		                        var altoInput = sym.$("Input_"+i).css("height");
         		                        nombreElemento.style.width= anchoInput;	 
         		                        nombreElemento.style.height= altoInput;
         		                        nombreElemento.style.fontWeight= fontweight;
         		                        nombreElemento.style.border= border;
         		                        nombreElemento.style.color= color;
         		                        nombreElemento.style.background= fondo;
         		                        nombreElemento.style.fontSize= tamano;;
         		                        nombreElemento.style.fontFamily= fuente;
         		                        nombreElemento.style.textAlign=alineacion;
         		                        nombreElemento.style.webkitBorderRadius=borderRadius;
         		                        nombreElemento.style.mozBorderRadius=borderRadius;
         		                        nombreElemento.style.borderRadius=borderRadius;
         		                        sym.$("Input_"+i).append(nombreElemento);														
         	                    		}
         
         
         								 sym.$('.int').filter_input({					
         								 regex:'[0-9]', 
         								 events:'keypress paste'});
         
         
         								 sym.$('.num').filter_input({					
         								 regex:'[0-9.]', 
         								 events:'keypress paste'});
         
         								 sym.$('.alpha').filter_input({					
         								 regex:'[a-zA-Z_ ]', 
         								 events:'keypress paste'});
         
         								 sym.$('.alphaacent').filter_input({					
         								 regex:'[a-zA-Z_áéíóúü ]', 
         								 events:'keypress paste'});
         
         								 sym.$('.alphalower').filter_input({					
         								 regex:'[a-z_ ]', 
         								 events:'keypress paste'});
         
         								 sym.$('.alphaupper').filter_input({					
         								 regex:'[A-Z_ ]', 
         								 events:'keypress paste'});
         
         								 sym.$('.alphanum').filter_input({					
         								 regex:'[a-z0-9_. ]', 
         								 events:'keypress paste'});
         
         								 sym.$('.alphanumacent').filter_input({					
         								 regex:'[a-z0-9_.áéíóúü ]', 
         								 events:'keypress paste'});
         
         								 sym.$('.alphanumupper').filter_input({					
         								 regex:'[a-zA-Z0-9_ ]', 
         								 events:'keypress paste'});
         
         								 sym.$('.alphanumspacelower').filter_input({					
         								 regex:'[a-z0-9_ ]', 
         								 events:'keypress paste'});
         
         								 sym.$('.alphanumspace').filter_input({					
         								 regex:'[a-z0-9_ ]', 
         								 events:'keypress paste'});
         
         								 sym.$('.alphanumspacelower').filter_input({					
         								 regex:'[a-z0-9_ ]', 
         								 events:'keypress paste'});
         
         								 sym.$('.mathsym').filter_input({					
         								 regex:'[+-=\/*xX]', 
         								 events:'keypress paste'});
         
         
         
         //BOTÓN VALIDAR
         sym.$('hotspot_validar').click(function(){
         
         var colorok = sym.getVariable("colorok");
         var fondook = sym.getVariable("fondook");
         var colorbad = sym.getVariable("colorbad");
         var fondobad = sym.getVariable("fondobad");
         
         var Total = 0;
         
         for(var k=1;k<=TotalDropElements;k++){
         	var DropVar = sym.getVariable("DropVar"+k);
         	Total = Total + DropVar;
         	if(DropVar==1){
         		//sym.$("Drop_"+k).css({background: fondook})
         	}
         	else{
         		//sym.$("Drop_"+k).css({background: fondobad});
         	}
         }
         
         // Deshabilito todos los drag mientras se validan los datos en la actividad
         sym.$('[id^="Stage_Drag_"]').draggable({
         	disabled:true
         });
         
         									wrong = '';
         
                                      for(i=1; i<=TotalInput; i++){
                                      	var y = (parseInt(sym.$("Input_"+i).css("top")) +0)+"px";
                                      	var x = (parseInt(sym.$("Input_"+i).css("left")) -25)+"px";
                                      	sym.$("Input_"+i).children(tipoactividad).each(function(){
                                      	if($(this).attr("id")=="seleccion_"+i){		
                                      		if(transformarTexto == true){
                                      			var ValorInput = $(this).val().toUpperCase();
                                      			var ValorTemp = sym.getVariable("Respuesta_"+i).toUpperCase(); 
                                      		}
                                      		else{
                                      			var ValorInput = $(this).val();
                                      			var ValorTemp = sym.getVariable("Respuesta_"+i);
                                      		}
         
         										if(eliminarEspacios == true){
                                      			ValorInput = ValorInput.replace(/\s+/g, '');
         												ValorTemp = ValorTemp.replace(/\s+/g, ''); 
                                      		}
                                      		else{                             			
                                      		}								
         
                                      		if(ValorInput==ValorTemp){
                                      			$(this).css({color: colorok,background: fondook});
                                      		}
                                      		else{
                                      			wrong = 1;
                                      			$(this).css({color: colorbad,background: fondobad});
                                      		}
                                      		$(this).attr('disabled','disabled');
                                      	}
                                      });
                                      }
         
         //Muestra las leyendas
         if(contadorTotal==4 && wrong != 1){
         	sym.$("resp_correcta").show();
         	setTimeout('$("#Stage_resp_correcta").fadeOut("slow");', 2500);
         	//audio correcto
         	sym.$("success")[0].play();
         	sym.$("success")[0].muted = false;
         	//botones
         	sym.getSymbol("bt_validar").stop("down");
         	sym.getSymbol("bt_solucion").stop("down");
         	sym.getSymbol("bt_reiniciar").stop("normal");
         	sym.$("hotspot_validar").hide();
         	sym.$("hotspot_solucion").hide();
         	sym.$("hotspot_reiniciar").show();	
         }
         else{
         	//mensaje respuesta incorrecta
         	sym.$("resp_incorrecta").show();
         	setTimeout('$("#Stage_resp_incorrecta").fadeOut("slow");', 2500);
         	//audio incorrecto
         	sym.$("error")[0].play();
         	sym.$("error")[0].muted = false;
         	//botones
         	sym.$("hotspot_validar").hide();
         	sym.$("hotspot_solucion").show();
         	sym.$("hotspot_reiniciar").show();
         	sym.getSymbol("bt_validar").stop("down");
         	sym.getSymbol("bt_solucion").stop("normal");
         	sym.getSymbol("bt_reiniciar").stop("normal");
         }
         
         
         });
         //BOTÓN SOLUCIÓN
         sym.$('hotspot_solucion').click(function(){
         
         //botones
         sym.getSymbol("bt_validar").stop("down");
         sym.getSymbol("bt_solucion").stop("down");
         sym.getSymbol("bt_reiniciar").stop("normal");
         sym.$("hotspot_validar").hide();
         sym.$("hotspot_solucion").hide();
         sym.$("hotspot_reiniciar").show();
         
         //Oculta las leyendas
         sym.$("resp_correcta").hide();
         sym.$("resp_incorrecta").hide();
         
         $(".paquetes").fadeOut();
         $("#Stage_numeracion").fadeIn();
         $('[id^="Stage_Drag_"]').fadeOut();
         $(".dulces").fadeOut();
         $(".respuesta").fadeIn();
         
         var colorok = sym.getVariable("colorok");
         var fondook = sym.getVariable("fondook");
         
         var leftDrag = [];
         var topDrag = [];
         
         for (var h=1; h<=TotalDragElements; h++){
         	leftDrag[h] = sym.getVariable("left"+h);
         	topDrag[h] = sym.getVariable("top"+h);
         }
         
         var devueltos= TotalDropElements+1;
         
         for(var i=1; i<=TotalDragElements; i++){
         	sym.$("Drag_"+i).animate({top: topDrag[i], left: leftDrag[i]},50);
         }
         
         /*
         for(var i=1; i<=TotalDropElements; i++){
         	var vectorResp = sym.getVariable("RespDrop"+i);
         	var firstResp = vectorResp[0];
         	sym.$("Drag_"+firstResp).css({top: topDrag[i], left: leftDrag[i]});
         	coordenadas("Drop_"+i, "Drag_"+firstResp);
         	sym.$("Drop_"+i).css({background: fondook});
         }
         */
         
         									for(i=1; i<=TotalInput; i++){
                                      	sym.$("Input_"+i).children(tipoactividad).each(function(){
                                      	if($(this).attr("id")=="seleccion_"+i){
                                      		var Resp = sym.getVariable("Respuesta_"+i);
                                      		$(this).val(Resp);
                                      		$(this).val().toUpperCase();
                                      		$(this).css({color: colorok ,background: fondook}
                                      		);
                                      	}
                                      	});
                                      }
         
         function coordenadas (Drop, simbolo) {
         	varxdrop = sym.$(Drop).css("left");
         	varydrop = sym.$(Drop).css("top");
         	varxdropanch = sym.$(Drop).css("width");
         	varydropalto = sym.$(Drop).css("height");
         	varxdropcentro = parseInt(varxdrop) + parseInt(varxdropanch)/2;
         	varydropcentro = parseInt(varydrop) + parseInt(varydropalto)/2;
         	varxdraganch = sym.$(simbolo).css("width");
         	varydragalto = sym.$(simbolo).css("height");
         	varxdragcentro = parseInt(varxdraganch)/2;
         	varydragcentro = parseInt(varydragalto)/2;
         	sym.$(simbolo).animate({top: varydropcentro-varydragcentro, left: varxdropcentro-varxdragcentro},150);
         };
         
         });
         //BOTÓN REINICIAR
         sym.$('hotspot_reiniciar').click(function(){
         //botones
         	sym.getSymbol("bt_validar").stop("normal");
         	sym.getSymbol("bt_solucion").stop("down");
         	sym.getSymbol("bt_reiniciar").stop("down");
         	sym.$("hotspot_validar").show();
         	sym.$("hotspot_reiniciar").hide();
         	sym.$("hotspot_solucion").hide();  
         //Oculta las leyendas
         sym.$("resp_correcta").hide();
         sym.$("resp_incorrecta").hide();
         
         AContador = 0;
         BContador = 0;
         CContador = 0;
         DContador = 0;
         EContador = 0;
         FContador = 0;
         GContador = 0;
         contadorTotal = 0;
         
         $("#Stage_numeracion").fadeOut();
         $('[id^="Stage_Drag_"]').fadeIn();
         $('[id^="Stage_Drop_"]').show();
         $(".dulces").fadeOut();
         $(".respuesta").fadeOut();
         $(".paquetes").fadeIn();
         $("#Stage_contadorPaquetes").html(contadorTotal);
         
         sym.$('[id^="Stage_Drop_"]').attr("dragelement","vacio");
         
         var colorini = sym.getVariable("colorini");
         var fondoini = sym.getVariable("fondoini");
         var tipoactividad = sym.getVariable("tipoactividad");
         
         for(var i=1; i<=TotalDragElements; i++){
         	var topDrag = sym.getVariable("top"+i);
         	var leftDrag = sym.getVariable("left"+i);
         	sym.$("Drag_"+i).css({top: topDrag, left: leftDrag});
         	sym.$("Drag_"+i).draggable ({
         		disabled: false
         	});
         	//sym.$("Drop_"+i).css({color: colorini ,background: fondoini});
         	sym.setVariable("DropVar"+i, 0);
         }
         
         										for(i=0; i<=TotalInput; i++){
                                      	sym.$("Input_"+i).children(tipoactividad).each(function(){
                                      	if($(this).attr("id")=="seleccion_"+i){
                                      		$(this).val("");
                                      		$(this).css({color: colorini,background: fondoini});
                                      		$(this).removeAttr('disabled');
                                      	}
                                      });
                                      }  
         
         sym.$('[id^="Stage_Drop_"]').css({background: fondoini});
         });
         
         //BOTÓN AYUDA
         sym.$('hotspot_ayuda').click(function(){
         // Definir un conmutador para ocultar o mostrar un elemento 
         if (sym.$("help").is(":visible")) {
         	sym.$("help").hide();
         	sym.getSymbol("bt_ayuda").stop("normal");
         } else {
         	sym.$("help").show();
         	sym.getSymbol("bt_ayuda").stop("down");
         }
         
         
         });
         // AYUDA
         sym.$('help').click(function(){
         sym.$("help").hide();
         sym.getSymbol("bt_ayuda").stop("normal");
         });
         
         
         

      });
      //Edge binding end

      

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'Precargador'
   (function(symbolName) {   
   
   })("Precargador");
   //Edge symbol end:'Precargador'

   //=========================================================
   
   //Edge symbol: 'ok'
   (function(symbolName) {   
   
   })("ok");
   //Edge symbol end:'ok'

   //=========================================================
   
   //Edge symbol: 'bad'
   (function(symbolName) {   
   
   })("bad");
   //Edge symbol end:'bad'

   //=========================================================
   
   //Edge symbol: 'bt_validar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_validar");
   //Edge symbol end:'bt_validar'

   //=========================================================
   
   //Edge symbol: 'bt_solucion'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_solucion");
   //Edge symbol end:'bt_solucion'

   //=========================================================
   
   //Edge symbol: 'bt_reiniciar'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_reiniciar");
   //Edge symbol end:'bt_reiniciar'

   //=========================================================
   
   //Edge symbol: 'bt_ayuda'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 250, function(sym, e) {
         // introducir código aquí
         sym.stop();

      });
      //Edge binding end

   })("bt_ayuda");
   //Edge symbol end:'bt_ayuda'

})(jQuery, AdobeEdge, "EDGE-1010687330");